# Method Pike.PollDeviceBackend()->enable_core_foundation()

Method enable_core_foundation

  ``int` enable_core_foundation(`bool` `enable`)`

Description

  On systems with CoreFoundation (OSX, iOS, etc), use CoreFoundation to poll for events. This enables system level technologies that rely on CoreFoundation Runloops to function properly.

Parameter `enable`

  enable or disable this functionality

Returns

  the previous value of this setting.